恳请大家帮我看一段Python代码, 涉及urllib2, HTTP Error 401: Authorization Required

姐夫 发布于 2012/08/15 13:34
阅读 2K+
收藏 0

麻烦大家帮我看一段代码:

http://www.oschina.net/code/snippet_244567_12807

同样的代码在Python 2.7中没有问题,

但是在Pyrhon 2.4 中报错,

我debug了下,错误信息显示 HTTP Error 401: Authorization Required

也就是说同样代码在Python 2.7 可以授权成功,但是Python 2.4不行,

我查了两个版本的文档, 也没发现哪里不对。

肯请大家一起帮我看看, 谢谢了!!

 

加载中
0
姐夫
姐夫
不要沉啊
0
lanybass
lanybass
建议使用requests库,多方便,说不定能解决版本兼容问题
姐夫
姐夫
这个是第三方库吗
0
姐夫
姐夫

引用来自“lanybass”的答案

建议使用requests库,多方便,说不定能解决版本兼容问题
谢谢你 我试一下
0
lanybass
lanybass
首页
http://docs.python-requests.org/en/latest/index.html
入门:
http://docs.python-requests.org/en/latest/user/quickstart/
进阶:
http://docs.python-requests.org/en/latest/user/advanced/
姐夫
姐夫
非常感谢!!
返回顶部
顶部